<template>
  <div class="md-layout">
    <div class="md-layout-item">
      <signup-card>
        <h2 class="title text-center" slot="title">Registrazione</h2>
        <div class="md-layout-item md-size-50 md-medium-size-50 md-small-size-100 ml-auto" slot="content-left">
          <div class="info info-horizontal" v-for="item in contentLeft" :key="item.title">
              <div :class="`icon ${item.colorIcon}`">
                <md-icon>{{ item.icon }}</md-icon>
              </div>
              <div class="description">
                <h4 class="info-title">{{ item.title }}</h4>
                <p class="description">
                  {{ item.description }}
                </p>
              </div>
          </div>
        </div>
        <div class="md-layout-item md-size-50 md-medium-size-50 md-small-size-100 mr-auto" slot="content-right">
          <div class="social-line text-center">
            <md-button class="md-just-icon md-round md-twitter">
              <i class="fab fa-twitter"></i>
            </md-button>
            <md-button class="md-just-icon md-round md-dribbble">
              <i class="fab fa-dribbble"></i>
            </md-button>
            <md-button class="md-just-icon md-round md-facebook">
              <i class="fab fa-facebook-f"></i>
            </md-button>
            <h4 class="mt-3"> Registrazione standard </h4>
          </div>
          <md-field class="md-form-group">
            <md-icon>face</md-icon>
            <label>Nome</label>
            <md-input v-model="name" type="text"></md-input>
          </md-field>
          <md-field class="md-form-group">
            <md-icon>email</md-icon>
            <label>email</label>
            <md-input v-model="email" type="email"></md-input>
          </md-field>
          <md-field class="md-form-group">
            <md-icon>lock_outline</md-icon>
            <label>password</label>
            <md-input v-model="password" type="password"></md-input>
          </md-field>
          <md-checkbox v-model="boolean">accetto i <a>termini e le condizioni</a>.</md-checkbox>
          <div class="button-container">
            <md-button @click="register" class="md-success md-round mt-4" slot="footer">Registrati</md-button>
          </div>
        </div>
      </signup-card>
    </div>
  </div>
</template>
<script>
  import axios from 'axios'

  import {SignupCard} from '@/components'
  export default {
    components: {
      SignupCard
    },
    data () {
      return {
        boolean: false,
        name: null,
        email: null,
        password: null,
        contentLeft: [
          { colorIcon :'icon-success',
            icon: 'timeline',
            title: 'La tò us',
            description: "Portale del comune di Bergamo per un rapporto più diretto con i cittadini"},

          { colorIcon :'icon-danger',
            icon: 'code',
            title: 'Http 451',
            description: "Sviluppato dal team Http-451 (nome non disponibile per motivi legali)"},

          { colorIcon :'icon-info',
            icon: 'group',
            title: 'A chi è rivolto?',
            description: "A tutti i cittadini che vogliono migliorare la propria città"}
        ],
      }
    },
    methods: {
      register: function () {
        axios.post('/users/register', { name: this.name, password: this.password, email: this.email})
          .then(({ data: user }) => {
            this.login();
          })
      },
      login: function () {
        axios({
          url: '/auth',
          method: 'post',
          headers: {
            Authorization: 'Basic ' + btoa(this.email + ':' + this.password)
          }
        })
          .then( ({ data: auth }) => {
            if (auth.token) {
              localStorage.setItem('name', auth.user.name);
              localStorage.setItem('userId', auth.user._id);
              localStorage.setItem('token', auth.token);
              this.$notify({
                title: 'LOGIN',
                type: 'success',
                text: 'Login avvenuta con successo'
              });
              this.$router.replace('/dashboard');
            }
          })
          .catch( e => {})
      }
    }
  }
</script>
<style>
</style>
